Page MenuHomeFreeBSD

Open source toolchain for Lattice ICE40 FPGAs
ClosedPublic

Authored by jsorocil_gmail.com on May 31 2018, 11:40 AM.

Details

Summary

Initial commit.

Consists of:

  • abc
  • yosys
  • arachne-pnr
  • icestorm tools
  • examples for Olimex FPGA HX1K and HX8K boards

metaports:

  • lattice-ice40-tools
  • lattice-ice40-examples

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 16988
Build 16856: arc lint + arc unit

Event Timeline

tobik requested changes to this revision.Jun 1 2018, 9:46 AM
tobik added a subscriber: tobik.
devel/abc/Makefile
12–13

You probably need to define your own license for it. It seems like a weird variant of the MIT license.

devel/icestorm/Makefile
30

post-install

devel/lattice-ice40-examples/Makefile
11 ↗(On Diff #43197)

This isn't needed. A metaport installs no files so it also doesn't need a license.

18 ↗(On Diff #43197)

This port should probably just be added as an EXAMPLES option to lattice-ice40-tools.

20–21 ↗(On Diff #43197)

Not needed for metaports.

devel/lattice-ice40-tools/Makefile
13

metaport => no license

20–21

Not needed for metaports.

devel/lattice-ice40-tools/pkg-descr
7

Hmm, I don't think it makes sense to list the web sites of all the ports metaports depend on.

devel/yosys/Makefile
29

s/+=/=/. Also needs to be earlier after BUILD_DEPENDS.

44

Would it be possible to do this earlier in post-patch?

This revision now requires changes to proceed.Jun 1 2018, 9:46 AM
jsorocil_gmail.com marked 9 inline comments as done.Jun 3 2018, 6:38 PM
jsorocil_gmail.com added inline comments.
devel/lattice-ice40-tools/pkg-descr
7

Is it OK to have just the first site then?

devel/yosys/Makefile
44

I don't think so because yosys-smtbmc file is not created after "make patch" is executed.

jsorocil_gmail.com updated this revision to Diff 43287.EditedJun 3 2018, 6:40 PM
jsorocil_gmail.com marked an inline comment as done.

Review1 for FPGA toolchain

Changes made according to review comments on reviews.freebsd.org
- lattice-ice40-examples metaport removed
- examples added as an opntion to lattice-ice40-tools metaport
- mail address changed to jsorocil
- set tab to 8 spaces and realign Makefiles.
tobik accepted this revision.Jun 6 2018, 12:49 PM

Ok.

I'll land this in several commits with some minor changes. Phabricator will probably auto-update this review with only the first commit. I'll post a comment here with links to all commits after I'm done so you can check that I did this right.

This revision is now accepted and ready to land.Jun 6 2018, 12:49 PM
This revision was automatically updated to reflect the committed changes.
tobik added a comment.Jun 6 2018, 2:55 PM

Ok. I committed everything except abc which was already in the ports tree as cad/abc.

@jsorocil_gmail.com Since you changed your email address it would be good to update your Bugzilla mail address to the same as well so that you can be correctly CC'ed by Bugzilla and can be recognized by us as the maintainer.

Commits: rP471841 rP471842 rP471844 rP471846 rP471847 rP471848

@jsorocil_gmail.com Since you changed your email address it would be good to update your Bugzilla mail address to the same as well so that you can be correctly CC'ed by Bugzilla and can be recognized by us as the maintainer.

Done.

Commits: rP471841 rP471842 rP471844 rP471846 rP471847 rP471848

Great. Thanks! :)